org.apache.solr.client.solrj.request

## Enum CollectionApiMapping.Meta

- java.lang.Object
- - java.lang.Enum<CollectionApiMapping.Meta>
  - - org.apache.solr.client.solrj.request.CollectionApiMapping.Meta

All Implemented Interfaces:
  Serializable, Comparable<CollectionApiMapping.Meta>, CollectionApiMapping.CommandMeta

Enclosing class:
  CollectionApiMapping

    public static enum CollectionApiMapping.Meta
    extends Enum<CollectionApiMapping.Meta>
    implements CollectionApiMapping.CommandMeta

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD_REPLICA_PROPERTY`
`ADD_ROLE`
`BACKUP_COLLECTION`
`BALANCE_SHARD_UNIQUE`
`CREATE_ALIAS`
`CREATE_COLLECTION`
`CREATE_REPLICA`
`CREATE_SHARD`
`DELETE_ALIAS`
`DELETE_CLUSTER_STATUS`
`DELETE_COLL`
`DELETE_REPLICA`
`DELETE_REPLICA_PROPERTY`
`DELETE_SHARD`
`FORCE_LEADER`
`GET_A_COLLECTION`
`GET_CLUSTER`
`GET_CLUSTER_OVERSEER`
`GET_CLUSTER_STATUS_CMD`
`GET_COLLECTIONS`
`GET_NODES`
`LIST_ALIASES`
`MIGRATE_DOCS`
`MODIFY_COLLECTION`
`MOVE_REPLICA`
`REBALANCE_LEADERS`
`RELOAD_COLL`
`REMOVE_ROLE`
`RESTORE_COLLECTION`
`SET_CLUSTER_PROPERTY`
`SPLIT_SHARD`
`SYNC_SHARD`
`UTILIZE_NODE`

### Field Summary

Fields
`CollectionParams.CollectionAction` `action`
`String` `commandName`
`CollectionApiMapping.EndPoint` `endPoint`
`SolrRequest.METHOD` `method`
`Map<String,String>` `paramstoAttr`
`Map<String,String>` `prefixSubstitutes`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CollectionApiMapping.V2EndPoint` `getEndPoint()`
`SolrRequest.METHOD` `getHttpMethod()` the http method supported by this command
`SolrRequest.METHOD` `getMethod()`
`String` `getName()`
`Collection<String>` `getParamNames(CommandOperation op)`
`String` `getParamSubstitute(String param)`
`Object` `getReverseParamSubstitute(String param)`
`static CollectionApiMapping.Meta` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CollectionApiMapping.Meta[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET_COLLECTIONS

    public static final CollectionApiMapping.Meta GET_COLLECTIONS

#### GET_CLUSTER

    public static final CollectionApiMapping.Meta GET_CLUSTER

#### GET_CLUSTER_OVERSEER

    public static final CollectionApiMapping.Meta GET_CLUSTER_OVERSEER

#### GET_CLUSTER_STATUS_CMD

    public static final CollectionApiMapping.Meta GET_CLUSTER_STATUS_CMD

#### DELETE_CLUSTER_STATUS

    public static final CollectionApiMapping.Meta DELETE_CLUSTER_STATUS

#### GET_A_COLLECTION

    public static final CollectionApiMapping.Meta GET_A_COLLECTION

#### LIST_ALIASES

    public static final CollectionApiMapping.Meta LIST_ALIASES

#### CREATE_COLLECTION

    public static final CollectionApiMapping.Meta CREATE_COLLECTION

#### DELETE_COLL

    public static final CollectionApiMapping.Meta DELETE_COLL

#### RELOAD_COLL

    public static final CollectionApiMapping.Meta RELOAD_COLL

#### MODIFY_COLLECTION

    public static final CollectionApiMapping.Meta MODIFY_COLLECTION

#### MIGRATE_DOCS

    public static final CollectionApiMapping.Meta MIGRATE_DOCS

#### MOVE_REPLICA

    public static final CollectionApiMapping.Meta MOVE_REPLICA

#### REBALANCE_LEADERS

    public static final CollectionApiMapping.Meta REBALANCE_LEADERS

#### CREATE_ALIAS

    public static final CollectionApiMapping.Meta CREATE_ALIAS

#### DELETE_ALIAS

    public static final CollectionApiMapping.Meta DELETE_ALIAS

#### CREATE_SHARD

    public static final CollectionApiMapping.Meta CREATE_SHARD

#### SPLIT_SHARD

    public static final CollectionApiMapping.Meta SPLIT_SHARD

#### DELETE_SHARD

    public static final CollectionApiMapping.Meta DELETE_SHARD

#### CREATE_REPLICA

    public static final CollectionApiMapping.Meta CREATE_REPLICA

#### DELETE_REPLICA

    public static final CollectionApiMapping.Meta DELETE_REPLICA

#### SYNC_SHARD

    public static final CollectionApiMapping.Meta SYNC_SHARD

#### ADD_REPLICA_PROPERTY

    public static final CollectionApiMapping.Meta ADD_REPLICA_PROPERTY

#### DELETE_REPLICA_PROPERTY

    public static final CollectionApiMapping.Meta DELETE_REPLICA_PROPERTY

#### ADD_ROLE

    public static final CollectionApiMapping.Meta ADD_ROLE

#### REMOVE_ROLE

    public static final CollectionApiMapping.Meta REMOVE_ROLE

#### SET_CLUSTER_PROPERTY

    public static final CollectionApiMapping.Meta SET_CLUSTER_PROPERTY

#### UTILIZE_NODE

    public static final CollectionApiMapping.Meta UTILIZE_NODE

#### BACKUP_COLLECTION

    public static final CollectionApiMapping.Meta BACKUP_COLLECTION

#### RESTORE_COLLECTION

    public static final CollectionApiMapping.Meta RESTORE_COLLECTION

#### GET_NODES

    public static final CollectionApiMapping.Meta GET_NODES

#### FORCE_LEADER

    public static final CollectionApiMapping.Meta FORCE_LEADER

#### BALANCE_SHARD_UNIQUE

    public static final CollectionApiMapping.Meta BALANCE_SHARD_UNIQUE

### Field Detail

#### commandName

    public final String commandName

#### endPoint

    public final CollectionApiMapping.EndPoint endPoint

#### method

    public final SolrRequest.METHOD method

#### paramstoAttr

    public final Map<String,String> paramstoAttr

#### prefixSubstitutes

    public final Map<String,String> prefixSubstitutes

#### action

    public final CollectionParams.CollectionAction action

### Method Detail

#### values

    public static CollectionApiMapping.Meta[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CollectionApiMapping.Meta c : CollectionApiMapping.Meta.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CollectionApiMapping.Meta valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getMethod

    public SolrRequest.METHOD getMethod()

#### getName

    public String getName()

Specified by:
  `getName` in interface `CollectionApiMapping.CommandMeta`

#### getHttpMethod

    public SolrRequest.METHOD getHttpMethod()

Description copied from interface: `CollectionApiMapping.CommandMeta`
the http method supported by this command

Specified by:
  `getHttpMethod` in interface `CollectionApiMapping.CommandMeta`

#### getEndPoint

    public CollectionApiMapping.V2EndPoint getEndPoint()

Specified by:
  `getEndPoint` in interface `CollectionApiMapping.CommandMeta`

#### getParamNames

    public Collection<String> getParamNames(CommandOperation op)

Specified by:
  `getParamNames` in interface `CollectionApiMapping.CommandMeta`

#### getParamSubstitute

    public String getParamSubstitute(String param)

Specified by:
  `getParamSubstitute` in interface `CollectionApiMapping.CommandMeta`

#### getReverseParamSubstitute

    public Object getReverseParamSubstitute(String param)